diff -ruNp linux-2.6.26.1/arch/x86/SYSCALLS.i386 linux-2.6.26.1-cher1/arch/x86/SYSCALLS.i386
--- linux-2.6.26.1/arch/x86/SYSCALLS.i386	1970-01-01 03:00:00.000000000 +0300
+++ linux-2.6.26.1-cher1/arch/x86/SYSCALLS.i386	2008-08-05 13:44:37.000000000 +0400
@@ -0,0 +1,335 @@
+sys_exit                        kernel/exit.c                           OK
+sys_fork                        arch/x86/kernel/process_32.c            CAP
+sys_read                        fs/read_write.c                         OK
+sys_write                       fs/read_write.c                         OK
+sys_open                        fs/open.c                               CAP
+sys_close                       fs/open.c                               OK
+sys_waitpid                     kernel/exit.c                           CAP
+sys_creat                       fs/open.c                               CAP
+sys_link                        fs/namei.c                              CAP
+sys_unlink                      fs/namei.c                              CAP
+sys_execve                      arch/x86/kernel/process_32.c            CAP
+sys_chdir                       fs/open.c                               CAP
+sys_time	                                                        OK
+sys_mknod                       fs/namei.c                              CAP
+sys_chmod                       fs/open.c                               CAP
+sys_lchown16                    kernel/uid16.c                          CAP
+sys_ni_syscall                                                          ---
+sys_stat                        fs/stat.c                               CAP
+sys_lseek                       fs/read_write.c                         CAP
+sys_getpid                                                              OK
+sys_mount                       fs/namespace.c                          CAP
+sys_oldumount                   fs/namespace.c                          CAP
+sys_setuid16                    kernel/uid16.c                          CAP
+sys_getuid16                                                            OK
+sys_stime                       kernel/time.c                           CAP
+sys_ptrace                      kernel/ptrace.c                         CAP
+sys_alarm                       kernel/timer.c                          OK
+sys_fstat                       fs/stat.c                               CAP
+sys_pause                       kernel/signal.c                         CAP
+sys_utime                       fs/utimes.c                             CAP
+sys_ni_syscall                                                          ---
+sys_ni_syscall                                                          ---
+sys_access                      fs/open.c                               CAP
+sys_nice                        kernel/sched.c                          CAP
+sys_ni_syscall                                                          ---
+sys_sync                        fs/sync.c                               CAP+
+sys_kill                        kernel/signal.c                         CAP+
+sys_rename                      fs/namei.c                              CAP+
+sys_mkdir                       fs/namei.c                              CAP+
+sys_rmdir                       fs/namei.c                              CAP+
+sys_dup                         fs/fcntl.c                              CAP?
+sys_pipe                        fs/pipe.c                               CAP
+sys_times                                                               OK
+sys_ni_syscall                                                          ---
+sys_brk                                                                 OK
+sys_setgid16                    kernel/uid16.c                          CAP+
+sys_getgid16                                                            OK
+sys_signal                                                              OK
+sys_geteuid16                                                           OK
+sys_getegid16                                                           OK
+sys_acct                        kernel/acct.c                           CAP+
+sys_umount                      fs/namespace.c                          CAP
+sys_ni_syscall                                                          ---
+sys_ioctl                       fs/ioctl.c                              CAP
+sys_fcntl                       fs/fcntl.c                              CAP
+sys_ni_syscall                                                          ---
+sys_setpgid                     kernel/sys.c                            CAP
+sys_ni_syscall                                                          ---
+sys_olduname                                                            OK
+sys_umask                       kernel/sys.c                            CAP
+sys_chroot                      fs/open.c                               CAP+
+sys_ustat                       fs/super.c                              CAP
+sys_dup2                        fs/fcntl.c                              CAP?
+sys_getppid                                                             OK
+sys_getpgrp                                                             OK
+sys_setsid                      kernel/sys.c                            CAP+
+sys_sigaction                                                           OK
+sys_sgetmask                                                            OK
+sys_ssetmask                    kernel/signal.c                         CAP
+sys_setreuid16                  kernel/uid16.c                          CAP+
+sys_setregid16                  kernel/uid16.c                          CAP+
+sys_sigsuspend                  arch/x86/kernel/signal_32.c             CAP
+sys_sigpending                  kernel/signal.c                         CAP
+sys_sethostname                 kernel/sys.c                            CAP+
+sys_setrlimit                   kernel/sys.c                            CAP
+sys_old_getrlimit                                                       OK
+sys_getrusage                                                           OK
+sys_gettimeofday                                                        OK
+sys_settimeofday                kernel/time.c                           CAP+
+sys_getgroups16                                                         OK
+sys_setgroups16                 kernel/uid16.c                          CAP+
+old_select                                                              OK
+sys_symlink                     fs/namei.c                              CAP+
+sys_lstat                       fs/stat.c                               CAP
+sys_readlink                    fs/stat.c                               CAP
+sys_uselib                      fs/exec.c                               CAP
+sys_swapon                      mm/swapfile.c                           CAP+
+sys_reboot                      kernel/sys.c                            CAP+
+old_readdir                     fs/readdir.c                            CAP
+old_mmap                                                                OK
+sys_munmap                                                              OK
+sys_truncate                    fs/open.c                               CAP
+sys_ftruncate                   fs/open.c                               CAP
+sys_fchmod                      fs/open.c                               CAP+
+sys_fchown16                    kernel/uid16.c                          CAP+
+sys_getpriority                 kernel/sys.c                            CAP
+sys_setpriority                 kernel/sys.c                            CAP
+sys_ni_syscall                                                          ---
+sys_statfs                      fs/open.c                               CAP
+sys_fstatfs                     fs/open.c                               CAP
+sys_ioperm                      arch/x86/kernel/ioport.c                CAP+
+sys_socketcall                  net/socket.c                            CAP+
+sys_syslog                      kernel/printk.c                         CAP
+sys_setitimer                                                           OK
+sys_getitimer                                                           OK
+sys_newstat                     fs/stat.c                               CAP
+sys_newlstat                    fs/stat.c                               CAP
+sys_newfstat                    fs/stat.c                               CAP
+sys_uname                                                               OK
+sys_iopl                        arch/x86/kernel/ioport.c                CAP+
+sys_vhangup                     fs/open.c                               CAP+
+sys_ni_syscall                                                          ---
+sys_vm86old                     arch/x86/kernel/vm86_32.c               CAP+
+sys_wait4                       kernel/exit.c                           CAP
+sys_swapoff                     mm/swapfile.c                           CAP+
+sys_sysinfo                     kernel/timer.c                          CAP
+sys_ipc                         arch/x86/kernel/sys_i386_32.c           CAP+
+sys_fsync                       fs/sync.c                               CAP+
+sys_sigreturn                                                           OK
+sys_clone                       arch/x86/kernel/process_32.c            CAP+
+sys_setdomainname               kernel/sys.c                            CAP+
+sys_newuname                                                            OK
+sys_modify_ldt                  arch/x86/kernel/ldt.c                   CAP+
+sys_adjtimex                    kernel/time.c                           CAP+
+sys_mprotect                    mm/mprotect.c                           CAP+
+sys_sigprocmask                 kernel/signal.c                         CAP
+sys_ni_syscall                                                          ---
+sys_init_module                 kernel/module.c                         CAP+
+sys_delete_module               kernel/module.c                         CAP+
+sys_ni_syscall                                                          ---
+sys_quotactl                    fs/quota.c                              CAP+
+sys_getpgid                     kernel/sys.c                            CAP
+sys_fchdir                      fs/open.c                               CAP
+sys_bdflush                     fs/buffer.c                             CAP+
+sys_sysfs                       fs/filesystems.c                        CAP+
+sys_personality                 kernel/exec_domain.c                    CAP+
+sys_ni_syscall                                                          ---
+sys_setfsuid16                  kernel/uid16.c                          CAP+
+sys_setfsgid16                  kernel/uid16.c                          CAP+
+sys_llseek                      fs/read_write.c                         CAP
+sys_getdents                    fs/readdir.c                            CAP
+sys_select                                                              OK
+sys_flock                       fs/locks.c                              CAP+
+sys_msync                                                               OK
+sys_readv                                                               OK
+sys_writev                                                              OK
+sys_getsid                      kernel/sys.c                            CAP
+sys_fdatasync                   fs/sync.c                               CAP+
+sys_sysctl                      kernel/sysctl.c                         CAP+
+sys_mlock                       mm/mlock.c                              CAP+
+sys_munlock                     mm/mlock.c                              CAP+
+sys_mlockall                    mm/mlock.c                              CAP+
+sys_munlockall                  mm/mlock.c                              CAP+
+sys_sched_setparam              kernel/sched.c                          CAP
+sys_sched_getparam              kernel/sched.c                          CAP
+sys_sched_setscheduler          kernel/sched.c                          CAP
+sys_sched_getscheduler          kernel/sched.c                          CAP
+sys_sched_yield                                                         OK
+sys_sched_get_priority_max                                              OK
+sys_sched_get_priority_min                                              OK
+sys_sched_rr_get_interval                                               OK
+sys_nanosleep                                                           OK?
+sys_mremap                                                              OK?
+sys_setresuid16                 kernel/uid16.c                          CAP+
+sys_getresuid16                                                         OK
+sys_vm86                        arch/x86/kernel/vm86_32.c               CAP+
+sys_ni_syscall                                                          ---
+sys_poll                                                                OK
+sys_nfsservctl                  fs/nfsctl.c                             CAP+
+sys_setresgid16                 kernel/uid16.c                          CAP+
+sys_getresgid16                                                         OK
+sys_prctl                       kernel/sys.c                            CAP
+sys_rt_sigreturn                                                        OK
+sys_rt_sigaction                                                        OK
+sys_rt_sigprocmask              kernel/signal.c                         CAP
+sys_rt_sigpending               kernel/signal.c                         CAP
+sys_rt_sigtimedwait             kernel/signal.c                         CAP
+sys_rt_sigqueueinfo             kernel/signal.c                         CAP
+sys_rt_sigsuspend               kernel/signal.c                         CAP
+sys_pread64                     fs/read_write.c                         CAP
+sys_pwrite64                    fs/read_write.c                         CAP
+sys_chown16                     kernel/uid16.c                          CAP+
+sys_getcwd                      fs/dcache.c                             CAP
+sys_capget                      kernel/capability.c                     CAP
+sys_capset                      kernel/capability.c                     CAP+
+sys_sigaltstack                                                         OK
+sys_sendfile                    fs/read_write.c                         CAP
+sys_ni_syscall                                                          ---
+sys_ni_syscall                                                          ---
+sys_vfork                       arch/x86/kernel/process_32.c            CAP+
+sys_getrlimit                                                           OK
+sys_mmap2                                                               OK
+sys_truncate64                  fs/open.c                               CAP
+sys_ftruncate64                 fs/open.c                               CAP
+sys_stat64                      fs/stat.c                               CAP
+sys_lstat64                     fs/stat.c                               CAP
+sys_fstat64                     fs/stat.c                               CAP
+sys_lchown                      fs/open.c                               CAP
+sys_getuid                                                              OK
+sys_getgid                                                              OK
+sys_geteuid                                                             OK
+sys_getegid                                                             OK
+sys_setreuid                    kernel/sys.c                            CAP+
+sys_setregid                    kernel/sys.c                            CAP+
+sys_getgroups                                                           OK
+sys_setgroups                   kernel/sys.c                            CAP+
+sys_fchown                      fs/open.c                               CAP+
+sys_setresuid                   kernel/sys.c                            CAP+
+sys_getresuid                                                           OK
+sys_setresgid                   kernel/sys.c                            CAP+
+sys_getresgid                                                           OK
+sys_chown                       fs/open.c                               CAP+
+sys_setuid                      kernel/sys.c                            CAP
+sys_setgid                      kernel/sys.c                            CAP+
+sys_setfsuid                    kernel/sys.c                            CAP+
+sys_setfsgid                    kernel/sys.c                            CAP+
+sys_pivot_root                  fs/namespace.c                          CAP+
+sys_mincore                     mm/mincore.c                            CAP
+sys_madvise                     mm/madvise.c                            CAP
+sys_getdents64                  fs/readdir.c                            CAP
+sys_fcntl64                     fs/fcntl.c                              CAP
+sys_ni_syscall                                                          ---
+sys_ni_syscall                                                          ---
+sys_gettid                                                              OK
+sys_readahead                   mm/filemap.c                            CAP
+sys_setxattr                    fs/xattr.c                              CAP+
+sys_lsetxattr                   fs/xattr.c                              CAP+
+sys_fsetxattr                   fs/xattr.c                              CAP+
+sys_getxattr                    fs/xattr.c                              CAP+
+sys_lgetxattr                   fs/xattr.c                              CAP+
+sys_fgetxattr                   fs/xattr.c                              CAP+
+sys_listxattr                   fs/xattr.c                              CAP+
+sys_llistxattr                  fs/xattr.c                              CAP+
+sys_flistxattr                  fs/xattr.c                              CAP+
+sys_removexattr                 fs/xattr.c                              CAP+
+sys_lremovexattr                fs/xattr.c                              CAP+
+sys_fremovexattr                fs/xattr.c                              CAP+
+sys_tkill                       kernel/signal.c                         CAP
+sys_sendfile64                  fs/read_write.c                         CAP
+sys_futex                                                               OK
+sys_sched_setaffinity           kernel/sched.c                          CAP
+sys_sched_getaffinity           kernel/sched.c                          CAP
+sys_set_thread_area                                                     OK
+sys_get_thread_area                                                     OK
+sys_io_setup                    fs/aio.c                                CAP
+sys_io_destroy                  fs/aio.c                                CAP
+sys_io_getevents                fs/aio.c                                CAP
+sys_io_submit                   fs/aio.c                                CAP
+sys_io_cancel                   fs/aio.c                                CAP
+sys_fadvise64                   mm/fadvise.c                            CAP
+sys_ni_syscall                                                          ---
+sys_exit_group                                                          OK?
+sys_lookup_dcookie              fs/dcookies.c                           CAP
+sys_epoll_create                fs/eventpoll.c                          CAP
+sys_epoll_ctl                   fs/eventpoll.c                          CAP
+sys_epoll_wait                  fs/eventpoll.c                          CAP
+sys_remap_file_pages                                                    OK?
+sys_set_tid_address                                                     OK
+sys_timer_create                kernel/posix-timers.c                   CAP
+sys_timer_settime               kernel/posix-timers.c                   CAP
+sys_timer_gettime               kernel/posix-timers.c                   CAP
+sys_timer_getoverrun            kernel/posix-timers.c                   CAP
+sys_timer_delete                kernel/posix-timers.c                   CAP
+sys_clock_settime               kernel/posix-timers.c                   CAP
+sys_clock_gettime               kernel/posix-timers.c                   CAP
+sys_clock_getres                kernel/posix-timers.c                   CAP
+sys_clock_nanosleep             kernel/posix-timers.c                   CAP
+sys_statfs64                    fs/open.c                               CAP
+sys_fstatfs64                   fs/open.c                               CAP
+sys_tgkill                      kernel/signal.c                         CAP
+sys_utimes                      fs/utimes.c                             CAP+
+sys_fadvise64_64                mm/fadvise.c                            CAP
+sys_ni_syscall                                                          ---
+sys_mbind                       mm/mempolicy.c                          CAP
+sys_get_mempolicy               mm/mempolicy.c                          CAP
+sys_set_mempolicy               mm/mempolicy.c                          CAP
+sys_mq_open                     ipc/mqueue.c                            CAP
+sys_mq_unlink                   ipc/mqueue.c                            CAP
+sys_mq_timedsend                ipc/mqueue.c                            CAP
+sys_mq_timedreceive             ipc/mqueue.c                            CAP
+sys_mq_notify                   ipc/mqueue.c                            CAP
+sys_mq_getsetattr               ipc/mqueue.c                            CAP
+sys_kexec_load                  kernel/kexec.c                          CAP+
+sys_waitid                      kernel/exit.c                           CAP
+sys_ni_syscall                                                          ---
+sys_add_key                     security/keys/keyctl.c                  CAP+
+sys_request_key                 security/keys/keyctl.c                  CAP+
+sys_keyctl                      security/keys/keyctl.c                  CAP+
+sys_ioprio_set                  fs/ioprio.c                             CAP+
+sys_ioprio_get                  fs/ioprio.c                             CAP+
+sys_inotify_init                fs/inotify_user.c                       CAP
+sys_inotify_add_watch           fs/inotify_user.c                       CAP
+sys_inotify_rm_watch            fs/inotify_user.c                       CAP
+sys_migrate_pages               mm/mempolicy.c                          CAP
+sys_openat                      fs/open.c                               CAP
+sys_mkdirat                     fs/namei.c                              CAP+
+sys_mknodat                     fs/namei.c                              CAP
+sys_fchownat                    fs/open.c                               CAP+
+sys_futimesat                   fs/utimes.c                             CAP+
+sys_fstatat64                   fs/stat.c                               CAP
+sys_unlinkat                    fs/namei.c                              CAP
+sys_renameat                    fs/namei.c                              CAP+
+sys_linkat                      fs/namei.c                              CAP
+sys_symlinkat                   fs/namei.c                              CAP+
+sys_readlinkat                  fs/stat.c                               CAP
+sys_fchmodat                    fs/open.c                               CAP
+sys_faccessat                   fs/open.c                               CAP
+sys_pselect6                                                            OK
+sys_ppoll                                                               OK
+sys_unshare                     kernel/fork.c                           CAP
+sys_set_robust_list                                                     OK
+sys_get_robust_list                                                     OK
+sys_splice                      fs/splice.c                             CAP
+sys_sync_file_range             fs/sync.c                               CAP+
+sys_tee                         fs/splice.c                             CAP
+sys_vmsplice                    fs/splice.c                             CAP
+sys_move_pages                  mm/migrate.c                            CAP+
+sys_getcpu                                                              OK
+sys_epoll_pwait                 fs/eventpoll.c                          CAP
+sys_utimensat                   fs/utimes.c                             CAP+
+sys_signalfd                    fs/signalfd.c                           CAP
+sys_timerfd_create              fs/timerfd.c                            CAP
+sys_eventfd                     fs/eventfd.c                            CAP
+sys_fallocate                   fs/open.c                               CAP
+sys_timerfd_settime             fs/timerfd.c                            CAP
+sys_timerfd_gettime             fs/timerfd.c                            CAP
+
+=== END OF SYSCALL TABLE ===
+*) The line number corresponds to syscall number
+**) sys_fork, sys_vfork, sys_clone -> do_fork (kernel/fork.c)
+
+Syscall 0:
+sys_restart_syscall             kernel/signal.c                         OK
+
+syscall table in arch/x86/kernel/syscall_table_32.S
